<?php

$items = $block->getProductCollection();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'product_base_image';
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();
?>
  <div class="featured-box">
    <div class="container">
      <div class="row">
        <div class="col-md-10 col-md-offset-1">
          <div class="row">
            <div class="js-featured1 owl-carousel slider-view">
              <?php $i=0; foreach ($items as $_product): $i++; ?>
              <?php $productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->getUrl(); ?>
              <div class="col-xs-10 col-xs-offset-1 col-md-offset-0 col-md-12">
                <div class="featured-item">
                  <a href="<?php echo $_product->getProductUrl() ?>" class="featured-link">
                  <img class="img-responsive" src="<?php echo $productImage ?>" alt="<?php echo $_product->getName(); ?>" />
                  </a>
                  <!-- <h6 class="part-nos">Part No: <span><?php echo $_product->getSku(); ?></span></h6> -->
                  <h6 class="equalHeight"><a href="<?php echo $_product->getProductUrl() ?>" class="featured-product-link" title="Dynamic product title will come"><?php echo $_product->getName(); ?></a></h6>
                  <!-- <div class="product alert notify-box-stock overriden">
                    <a href="http://13.211.188.253/productalert/add/stock/product_id/4502/uenc/aHR0cDovLzEzLjIxMS4xODguMjUzL2NhdGFsb2cvY2F0ZWdvcnkvdmlldy9zL2FsbC1kb2NraW5nLXN0YXRpb25zL2lkLzQ2MC8_cHJvZHVjdF9saXN0X21vZGU9Z3JpZCZpc19hamF4PTEmXz0xNjI4MTU0MjQ2NzQ1/" title="Notify me when this product is in stock" class="action alert">Notify me when this product is in stock</a>
                  </div> -->
<?php if (!$isCartDisabled){ ?>
                  <?php if ($_product->isSaleable()){ ?>
                            <div>
                              <?php echo $block->getProductPrice($_product) ?>
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                </button>
                              </form>
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <div class="product alert notify-box-stock overriden">
                                                  <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
                                                </div>
                            </div>
                          <?php }?>
                          <?php }?>

                </div>
              </div>
              <?php endforeach ?>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

<script type="text/javascript">
    require([ 'jquery', 'mgs/owlcarousel' ], function ($) {
        
$('.js-featured').owlCarousel({
            items: 4,
            nav: true,
            dots: true,
            rtl: RTL,
            touchDrag: false,
            mouseDrag: true,
            loop: false,
            // autoHeight:true,
            navText: ["<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yMCAuNzU1bC0xNC4zNzQgMTEuMjQ1IDE0LjM3NCAxMS4yMTktLjYxOS43ODEtMTUuMzgxLTEyIDE1LjM5MS0xMiAuNjA5Ljc1NXoiLz48L3N2Zz4='>","<img src='data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik00IC43NTVsMTQuMzc0IDExLjI0NS0xNC4zNzQgMTEuMjE5LjYxOS43ODEgMTUuMzgxLTEyLTE1LjM5MS0xMi0uNjA5Ljc1NXoiLz48L3N2Zz4='>"],
            responsive:{
                0:{
                  items: 1,
                  dots: true,
                  nav: false,
                  touchDrag: true,
                  mouseDrag: false,
                },
                768:{
                  items: 2,
                  dots: true,
                  nav: false,
                  touchDrag: true,
                  mouseDrag: false,
                },
                1024:{
                  items:2,
                  nav:false,
                  dots: true
                },
                1200:{
                  items: 4,
                  dots: true,
                  nav:false,
                  touchDrag: true
                }
            }
        });

</script>
